<script>
  // Dimensions
  const width = 800;
  const height = 100;
  const margin = { top: 20, right: 5, bottom: 5, left: 5 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  // Array
  const values = [
    { x: 2, y: 1, category: "cat1" },
    { x: 4, y: 2, category: "cat3" },
    { x: 6, y: 1, category: "cat2" },
    { x: 7, y: 3, category: "cat3" },
    { x: 9, y: 1, category: "cat2" }
  ];

  // Import modules
  import { scaleLinear, scaleOrdinal } from 'd3-scale';
  import { extent } from 'd3-array';
  import { schemeCategory10, schemeSet1, schemeSet2 } from 'd3-scale-chromatic';
  import { text } from 'svelte/internal'; 
  var Xscale = scaleLinear([1,10],[0,innerWidth]);
  var Yscale = scaleLinear([0,4],[innerHeight,0]);
  var catScale = scaleOrdinal(schemeSet2).domain(['cat1', 'cat2', 'cat3'])

</script>

<svg viewBox="0 0 {width} {height}">
  <g transform="translate(0,5)">
    {#each values as value}
      <circle cx={Xscale(value.x)}
              cy={Yscale(value.y)}
              r=5 
              fill={catScale(value.category)}/>
      <text transform="translate({Xscale(value.x)},{Yscale(value.y)-10})">{value.y}</text>
      <line x1="{Xscale(value.x)}" y1="{Yscale(value.y)+5}" x2="{Xscale(value.x)}" y2="90" />
    {/each}
  </g>
  <line x1="{margin.left}" y1="95" x2="795" y2="95" />
</svg>


<style>
  text {
    text-anchor: middle;
    font-size: small;
  }

  line {
    fill: none;
    stroke: black;
    stroke-width: 1.5px;
  }
</style>
